<template>

    <div class="tood">
        <div class="header-block">
            <div class="title-todo">
                Todolist
            </div>
            <div class="account-block">
                <span class="profile-buttons" v-for="item in items" :key="item.key">
                    <a href="#">{{ item.titleAccount }}</a>
                </span>
            </div>
        </div>
        <div v-for="task in tasks" :key="task.key" class="nav-block">
            <span>
                <router-link to="/active" >
                    <p>
                        Active ({{ task.taskCounterActive }})
                    </p>
                </router-link>
                <router-link to="/" >
                    <p>
                        All ({{ task.taskCounterAll }})
                    </p>
                </router-link>
                <router-link to="/completed">
                    <p>
                        Completed ({{ task.taskCounterCompleted }})
                    </p>
                </router-link>
                <router-view />
            </span>
        </div>
    </div>
</template>

<script>
export default {
    // computed: {
    //     taskInAll(Tasks) {
    //         this.taskCounterAll = 1
    //     }
    // },
    data() {
        return {
            items: [
                {
                    titleAccount: 'Profile',
                },
                {
                    titleAccount: 'Logout',
                }
            ],
            taskAded: [
                {
                    title: 'dasdasda'
                },
                {
                    title: 'dasdasda'
                },
                {
                    title: 'dasdasda'
                },
                {
                    title: 'dasdasda'
                },
                {
                    title: 'dasdasda'
                },
            ],
            tasks: [
                {
                    taskCounterActive: 1,
                    taskCounterAll: 0,
                    taskCounterCompleted: 0,
                }
            ],
        }
    },
    // computed: {
    //     tasksAll() {
    //         this.taskCounterActive = this.taskAded.length;
    //     }
    // }
}
</script>

<style lang="scss" scoped>
    .profile-buttons {
        border-radius: 5px;
        border: 2px solid blue;

        padding: 5px 10px;

        transition: .3s all ease;
        &:hover {
            background-color: blue;

            transition: .3s all ease;
        }
    }
    .header-block {
        display: flex;
        justify-content: space-between;
        align-items: center;

        background-color: purple;

        padding: 15px 40px;

        color: white;
        .title-todo {
            font-size: 25px;
            font-weight: bold;
        }
        .account-block {
            span {
                margin: 0 20px;
                a {
                    color: white;

                    text-decoration: none;
                }
            }
        }
    }
    .nav-block {

        background-color: #f5f0f0;
        box-shadow: 1px 5px 15px 1px grey;
        span {
            display: flex;
            justify-content: center;
            a {
                display: flex;
                align-items: center;
                padding: 15px 0;
                margin: 0 10px;

                text-decoration: none;
                text-transform: uppercase;

                font-weight: bold;
                color: grey;
                p {
                    margin: 0;
                }
                &:hover {
                    border-bottom: 2px solid blue;
                    transition: .3s all ease;
                }
            }
        }
        .task-buttons {
            background-color: transparent;
            border: none;

            font-size: 15px;
            font-weight: bold;
            color: grey;

            transition: .3s all ease;

            padding: 20px 0;
            margin: 0 15px;

            outline: none;

            text-transform: uppercase;
            &:hover {
                border-bottom: 2px solid blue;

                transition: .3s all ease;
            }
        }

    }
</style>
